> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transactions

> Use this API to get all the transaction details within a time interval.

Based on who you are, consider the below values in the API requests

<Note>
  | Cashfree Merchant | Cashfree Partner     |
  | :---------------- | :------------------- |
  | x-client-id       | x-partner-api-key    |
  | x-client-secret   | x-partner-merchantid |
</Note>


## OpenAPI

````yaml get /gc/transactions
openapi: 3.0.3
info:
  title: Global Collections - Partners
  version: '4'
servers:
  - url: https://sandbox.cashfree.com/
    description: Sandbox server
  - url: https://api.cashfree.com/
    description: Production server
security: []
paths:
  /gc/transactions:
    get:
      summary: Get All Transaction Details for Partner Merchants
      description: Use this API to get all the transaction details within a time interval.
      operationId: get-all-transaction-details-partner
      parameters:
        - $ref: '#/components/parameters/PartnerApiKey'
        - $ref: '#/components/parameters/PartnerMerchantId'
        - $ref: '#/components/parameters/ApiVersion'
        - name: endDate
          in: query
          description: >-
            Date in YYYYMMDD or YYYY-MM-DD HH:MM:SS. Search till this date. Has
            to be greater than startDate.
          required: true
          schema:
            type: string
            format: date
        - name: startDate
          in: query
          description: >-
            Date in YYYYMMDD or YYYY-MM-DD HH:MM:SS. Search beginning from this
            date.
          required: true
          schema:
            type: string
            format: date
        - name: maxReturn
          in: query
          description: Number (200 >= maxReturn > 0). For pagination support.
          required: true
          schema:
            type: integer
            format: int32
        - name: lastReturnId
          in: query
          description: Number. For pagination support.
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Success response for retrieving transactions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentsResponse'
        '403':
          description: Authentication failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    PartnerApiKey:
      name: x-partner-api-key
      in: header
      description: Enter partner API keygit
      required: true
      schema:
        type: string
    PartnerMerchantId:
      name: x-partner-merchantid
      in: header
      description: >-
        Enter the merchant reference id used while creating merchant during
        onboarding
      required: true
      schema:
        type: string
    ApiVersion:
      name: x-api-version
      in: header
      description: API version
      required: true
      schema:
        type: string
  schemas:
    PaymentsResponse:
      allOf:
        - $ref: '#/components/schemas/SuccessResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                payments:
                  type: array
                  items:
                    $ref: '#/components/schemas/Payment'
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          example: authentication_error
        message:
          type: string
          example: failed to authenticate
        code:
          type: string
          example: authentication_failed
    SuccessResponse:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: success_message
    Payment:
      type: object
      properties:
        amount:
          type: string
          example: '4950.00'
        currency:
          type: string
          example: USD
        paymentRail:
          type: string
          example: ACH
        paymentTime:
          type: string
          example: '2023-05-03 15:05:03'
        referenceId:
          type: integer
          example: 2125
        remarks:
          type: string
          example: successful transaction
        remitterAccount:
          type: string
          example: '114015040938'
        remitterAddress:
          type: string
          example: Wellington street, Oakridge
        remitterBic:
          type: string
          example: '6789'
        remitterCountry:
          type: string
          example: USA
        remitterName:
          type: string
          example: JANE
        remitterRoutingCode:
          type: string
          example: '9089'
        status:
          type: string
          example: READY_FOR_SETTLEMENT
        updatedStatusTime:
          type: string
          example: '2022-04-21 04:34:04'
        utr:
          type: string
          example: '99105'
        vAccountId:
          type: string
          example: DEMO2
        vAccountNumber:
          type: string
          example: CASHFREELGSH1234
        settlement:
          $ref: '#/components/schemas/Settlement'
    Settlement:
      type: object
      properties:
        expectedSettlementDate:
          type: string
          example: '2023-07-27'
        firaFileDownloadUrl:
          type: string
          example: fileDownloadUrl
        fxRate:
          type: number
          example: 85.12
        id:
          type: string
          example: ae0b76a5-4edd-45f3-81f1-0cf099abe78a
        inrAmount:
          description: Amount settled to the merchant
          type: number
          example: 16219.65
        netPartnerCommission:
          description: This field will be provided for Cashfree Partners
          type: number
          example: 2106.72
        settlementCharge:
          type: number
          example: 4213.44
        settlementChargeTax:
          type: number
          example: 758.42
        status:
          type: string
          example: SETTLED
        utr:
          type: string
          example: URN1

````